Bug 1021599 - ARM as primary Architecture
ARM as primary Architecture
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Fedora Docs QA
: Tracking
Depends On: 998560
Blocks: 1001330
  Show dependency treegraph
 
Reported: 2013-10-21 11:36 EDT by Petr Bokoc
Modified: 2014-02-03 03:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998560
Environment:
Last Closed: 2014-02-03 03:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bokoc 2013-10-21 11:36:35 EDT
+++ This bug was initially created as a clone of Bug #998560 +++

This is a tracking bug for Change: ARM as primary Architecture
For more details, see: http://fedoraproject.org//wiki/Changes/ARM_as_Primary

Make ARM a primary architecture. Add armv7hl to the i686 and x86_64 as arches that we build and support. This will mean that all packages supported by the ARM architecture must build for ARM to be released. With the release of Fedora 19 we have deprecated support for software floating support (ARMv5tel sfp) so the only proposed addition to primary architectures is currently ARMv7 hardware floating point 32 bit support (ARMv7 hfp 32bit).

--- Additional comment from Dennis Gilmore on 2013-08-22 18:57:11 EDT ---

we are building arm as primary, everything is on target right now.

--- Additional comment from Jaroslav Reznik on 2013-10-11 04:46:20 EDT ---

This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule

--- Additional comment from Jaroslav Reznik on 2013-10-16 05:32:34 EDT ---

As agreed by Change owner, moving to ON_QA as a completed Change.

Note You need to log in before you can comment on or make changes to this bug.